DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-11-18-Projects_State';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14592) THEN
			RETURN;
		END IF;

		BEGIN
            		ALTER TABLE public."Projects" ADD "State" integer NULL DEFAULT 1;

            		UPDATE public."Projects" SET "State"=1;

 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-11-18-Projects_State: %', SQLERRM;
		END;
	END;
$$